Get Resource Action Form Data
Returns resolved binding values based on the properties of the resource for given resource operation
Returns resolved binding values based on the properties of the resource for given resource operation
Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/custom/resource-actions/{id}/form-data
COPY
Path Parameters
string
id
Required
Resource operation id
Query Parameters
string
projectId
Optional
The id of the project
Request Body
Responses
200
'Success' with resource action form data
Returns
Data
of type(s)
application/json
{
"entries": [
{
"key": "string",
"value": {
"value": {},
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
}
}
}
]
}
array of
object
entries
Optional
entries
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/custom/resource-actions/{id}/form-data
On This Page
Resource Actions Operations
GET
List Actions
POST
Create Or Update Resource Action
POST
Generate Elements Runnable Item
POST
Get Resource Action Form Data
POST
Get External Value
POST
List External Values
POST
Lookup External Resources
GET
Get Resource Action
DELETE
Delete Resource Action
GET
Get Action Runnable Item
GET
Get Action Form
GET
Get Binding Action